@import "critical.scss";

#validator {

    h3 {
        font-size: 1.66em;
        margin-bottom: 0;
        & + p {
            margin-top: 0.5em;
        }
    }
}

#validator ul.issues-by-crate {
    list-style: none;
    margin: 2em 0;
    padding: 0;
    > li {
        padding: 0;
        > details {
            > ul {
                list-style: none;
                margin: 0 0 2em;
                padding: 0;

                > li {
                    padding: 0 0 0 1em;
                    margin: 0 0 1.5em;
                    ul {
                        list-style: square;
                        margin: 1em 0;
                        ul {
                            margin: 0.5em;
                            list-style: circle;
                        }
                    }
                }
            }
        }

        p {
            margin: 0 0 0.5em;
            font-size: 0.95em;
        }
    }

    details {
        margin: 0.5em 0;
    }
    summary {
        cursor: s-resize;
        &:hover {
            background: var(--header-color);
        }
        > h4 {
            display: inline;
        }
    }
    details[open] summary {
        cursor: n-resize;
    }

    h4 {
        font-size: 1.33em;
        margin: 0;
    }

    h5 {
        margin: 1em 0 0 -1em;
        font-size: 1em;
        padding-left: 0.5em;
    }

    .severity0 h5, .severity1 h5 {
        border-left: 0.5em solid var(--cyan-shade);
    }
    .severity2 h5 {
        border-left: 0.5em solid var(--orange-shade);
    }
    .severity3 h5, .severity4 h5 {
        border-left: 0.5em solid red;
    }
}
